#
# spec file for package xjdic (Version 2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  edict
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs edict file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         xjdic
Copyright:    GPL
Group:        Extensions/Japanese
Requires:     edict, xjdic-data, xjdic-indices
Autoreqprov:  on
Version:      2.3
Release:      22
URL:          http://www.csse.monash.edu.au/~jwb/xjdic/
# Original source: ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic23.tgz
Source0:      ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic23.tar.bz2
# Original source ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic23_inf.html
Source1:      ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic23_inf.html.bz2
# Original source ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic23_install.html
Source2:      ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic23_install.html.bz2
Source3:      suse.xjdicrc
Patch0:       xjdic.patch
Patch1:       xjdic-powerpc.patch
BuildRoot:    %{_tmppath}/%{name}-root/
Summary:      Japanese-English dictionary interface

%description
XJDIC is an electronic Japanese-English dictionary program designed to operate japanese capable terminal,
for example "kterm" under X11.
It is based on JDIC and JREADER which were developed to run under MS-DOS on IBM PCs or clones.
XJDIC functions as:
1. an English to Japanese dictionary (eiwa jiten).
2. a Japanese to English dictionary (waei jiten).
3. a Japanese-English Character dictionary
(kanei jiten), capable of selecting kanji characters
by JIS code, radical, stroke count, Nelson Index
number or reading, and displaying compounds containing
that kanji.

Authors:
--------
    Jim Breen <j.breen@csse.monash.edu.au>

SuSE series: j

%package -n xjdic-data
Summary:      data files needed by XJDIC and Gjiten
Group:        Extensions/Japanese

%description -n xjdic-data
This packages contains several data files needed by XJDIC and
Gjiten. XJDIC and Gjiten are programs used to access the
Japanese-English EDICT dictionaries.

Authors:
--------
    Jim Breen <j.breen@csse.monash.edu.au>

SuSE series: j

%package -n xjdic-indices
Summary:      EDICT index files needed by xjdic and gjiten
Group:        Extensions/Japanese

%description -n xjdic-indices
This package contains index files for the
Japanese-English EDICT dictionaries. These index files are necessary to run XJDIC or Gjiten, which can be used to
access EDICT.

Authors:
--------
    Jim Breen <j.breen@csse.monash.edu.au>

SuSE series: j

%prep
%setup0 -T -n %{name}-%{version} -c %{name}-%{version} -a 0
%patch0 -p 1
%patch1 -p 1
cp $RPM_SOURCE_DIR/*html.bz2 .
bunzip2 *html.bz2
cp $RPM_SOURCE_DIR/suse.xjdicrc .
cp gnu_licence COPYING

%build
export CFLAGS="$RPM_OPT_FLAGS"
CC="gcc $CFLAGS" make -e stand xjdxgen
gcc $CFLAGS xjdrad.c -o xjdrad

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p $RPM_BUILD_ROOT{/usr/share/edict,/usr/bin,%{_mandir}/man1}
install -m 755 xjdic_sa $RPM_BUILD_ROOT/usr/bin
ln -s xjdic_sa $RPM_BUILD_ROOT/usr/bin/xjdic
install -m 755 xjdxgen $RPM_BUILD_ROOT/usr/bin
install -m 755 xjdrad $RPM_BUILD_ROOT/usr/bin
# generate indices:
for i in 4jwords aviation classical compdic compverb concrete edict edicth \
         enamdict findic geodic j_places jddict.v02 kanjd212 kanjidic \
         lingdic mktdic pandpdic
do
    ln -s /usr/share/edict/$i $RPM_BUILD_ROOT/usr/share/edict
    $RPM_BUILD_ROOT/usr/bin/xjdxgen $RPM_BUILD_ROOT/usr/share/edict/$i
    rm $RPM_BUILD_ROOT/usr/share/edict/$i
done
# install data files an man page:
install -m 644 radicals.tm vconj kanjstroke radkfile romkana.cnv gnu_licence \
               $RPM_BUILD_ROOT/usr/share/edict
install -m 644 xjdic.1 $RPM_BUILD_ROOT%{_mandir}/man1/xjdic.1
gzip --best $RPM_BUILD_ROOT%{_mandir}/man1/xjdic.1

%clean
rm -rf $RPM_BUILD_ROOT

%files -n xjdic
%defattr(-, root, root)
%doc COPYING xjdic*.WHATSNEW xjdic*.inf xjdic*.install *html suse.xjdicrc .xjdicrc.skel
%doc %{_mandir}/*
/usr/bin/*

%files -n xjdic-data
/usr/share/edict/gnu_licence
/usr/share/edict/radicals.tm
/usr/share/edict/vconj
/usr/share/edict/kanjstroke
/usr/share/edict/radkfile
/usr/share/edict/romkana.cnv

%files -n xjdic-indices
/usr/share/edict/*.xjdx

%changelog -n xjdic
* Thu Sep 06 2001 - mfabian@suse.de
- some more portability fixes. Does not only build on ia64 now
  but even works.
- make it work on PowerPC as well
* Tue Sep 04 2001 - schwab@suse.de
- Fix portability.
* Mon Sep 03 2001 - mfabian@suse.de
- new package: xjdic, version 2.3
